﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using FarPoint.Win.Chart;

namespace WindowsFormsApplication2
{
    public partial class Form3 : Form
    {
        public Form3()
        {
            InitializeComponent();
        }

        private void Form3_Load(object sender, EventArgs e)
        {
            // 创建数据源
            DataTable dt = new DataTable();

            dt.Columns.Add("Name");
            dt.Columns.Add("Chinese",typeof(double));
            dt.Columns.Add("Math",typeof(double));
            dt.Columns.Add("English",typeof(double));
            dt.Columns.Add("Computer",typeof(double));

            dt.Rows.Add("Frank", 50, 80, 55, 26);
            dt.Rows.Add("Johnson", 92, 14, 15, 24);
            dt.Rows.Add("Jolene", 66, 77, 88, 66);
            dt.Rows.Add("Tina", 88, 72, 69, 98);


            // 清空图表中现有的系列
            fpChart1.Model.PlotAreas[0].Series.Clear();

            // 创建簇状条形系列
            ClusteredBarSeries cbs = new ClusteredBarSeries();

            // 添加条形系列
            for (int i = 0; i < dt.Rows.Count; i++)
            {
                DoubleCollection dc = new DoubleCollection();
                
                BarSeries series = new BarSeries();
                series.SeriesName = (string)dt.Rows[i][0];
                for (int j = 1; j < dt.Columns.Count; j++)
                {
                    series.Values.Add((double)dt.Rows[i][j]);
                }
                cbs.Series.Add(series);
            }

            fpChart1.Model.PlotAreas[0].Series.Add(cbs);
        }
    }
}
